
def onList() {
	
	def now = now()
	def calendar = calendar(now)
	def dateFormat = dateFormat(calendar)

	def timezone_feed = [:]
	timezone_feed.entries = []

    TimeZone.getAvailableIDs().each { 
		
    	def clock_entry = [:]

		def tz = TimeZone.getTimeZone(it)
    	clock_entry.id = it.replace('/', '_')
    	clock_entry.title = "${it} :: ${tz.getDisplayName()}".toString()

    	calendar.setTimeZone(tz)
	    clock_entry.content = dateFormat.format(now)
 
        timezone_feed.entries += clock_entry 
	}
	
	timezone_feed.authors = ['sandra']
	timezone_feed.title = 'Time Zones'

    request.view='atom'
    request.atom.output = timezone_feed
    render() 
    
}

public void onRetrieve() { 
	
	def now = now()
	def calendar = calendar(now)
	def dateFormat = dateFormat(calendar)	
	
	def id = zget("/event/collectionInfo#0/memberId")
	def timeZoneId = id.replace('_', '/') 
	def tz = TimeZone.getTimeZone(timeZoneId)

    def timezone_entry = [:]
	
    timezone_entry.id = id
   	timezone_entry.title = "${timeZoneId} :: ${tz.getDisplayName()}".toString()
    timezone_entry.content = dateFormat.format(now)
    timezone_entry.authors = ['sandra']
   	
    request.view='atom'
	zput("/request/atom/docType", 'entry')
    request.atom.output =  timezone_entry
    render() 
    
}


def now() {
	return  new Date(System.currentTimeMillis())
}

def calendar(now) {
		Calendar calendar = Calendar.getInstance()
		calendar.setTime(now)
		return calendar
}

def dateFormat(calendar) {
	def dateFormat = java.text.DateFormat.getDateTimeInstance()
	dateFormat.setCalendar(calendar)
	return dateFormat
}